.nav {
  --nav-link-padding-x: 1rem;
  --nav-link-padding-y: 0.5rem;
  --nav-link-font-weight: normal;
  --nav-link-color: rgba(var(--schwarz-rgb), 0.55);
  --nav-link-color-hover: rgba(var(--schwarz-rgb), 0.85);
  --nav-link-box-shadow-focus: 0 0 3px 4px rgba(var(--blue-rgb), 0.55);
  --nav-link-border-radius-focus: 9px;
  display: flex;
  flex-wrap: wrap;
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}

.nav-link {
  display: block;
  padding: var(--nav-link-padding-y) var(--nav-link-padding-x);
  font-size: var(--body-font-size);
  font-weight: var(--bordy-font-weight);
  color: var(--nav-link-color);
  text-decoration: none;
  background: none;
  border: 0;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
}
.nav-link:not(:last-child) {
 margin-right: 0.5rem;
}
@media (prefers-reduced-motion: reduce) {
.nav-link {
  color: var(--nav-link-color-hover);
}
}

.nav-link:hover {
  color: var(--nav-link-color-hover);
}

.nav-link:focus-visible {
  color: var(--nav-link-color-hover);
  outline: 0;
  box-shadow: var(--nav-link-box-shadow-focus);
  border-radius: var(--nav-link-border-radius-focus);
}

.nav-tabs {
  --var-nav-tabs-border-width: var(--border-width);
  --var-nav-tabs-border-color: var(--border-color);
  --var-nav-tabs-border-radius: var(--border-radius);
  --var-nav-tabs-border-color-hover: var(--gray-3) var(--gray-3) var(--border-color);
  --var-nav-tabs-link-active-color: var(--gray-6);
  --var-nav-tabs-link-active-background: var(--gray-3);
  --var-nav-tabs-link-active-border-color: var(--border-color) var(--border-color) var(--body-background);
  border-bottom: var(--var-nav-tabs-border-width) solid var(--var-nav-tabs-border-color);
}

.nav-tabs .nav-link {
  margin-bottom: calc(-1 * var(--var-nav-tabs-border-width));
  border: var(--var-nav-tabs-border-width) solid transparent;
  border-top-left-radius: var(--var-nav-tabs-border-radius);
  border-top-right-radius: var(--var-nav-tabs-border-radius);
}

.nav-tabs .nav-link:hover {
  isolation: isolate;
  border-color: var(--var-nav-tabs-border-color-hover);
}

.nav-tabs .nav-link:focus {
  isolation: isolate;
  border-color: var(--var-nav-tabs-border-color-hover);
}

.nav-tabs .nav-link.active {
  isolation: isolate;
  color: var(--var-nav-tabs-link-active-color);
  background-color: var(--var-nav-tabs-link-active-background);
  border-color: var(--var-nav-tabs-link-active-border-color);
}

.nav-pills {
  --nav-pills-link-color: var(--blue-6);
  --nav-pills-border-radius: var(--border-radius);
  --nav-pills-link-color-hover: inherit;
  --nav-pills-link-border-color-hover: var(--blue-hex);
  --nav-pills-link-color-active: var(--weiss-hex);
  --nav-pills-link-active-background: var(--blue-hex);
}

.nav-pills .nav-link {
  color: var(--nav-pills-link-color);
  border: var(--border-width) solid transparent;
  border-radius: var(--nav-pills-border-radius);
}

.nav-pills .nav-link:hover {
  color: var(--nav-pils-link-color-hover);
  border-color: var(--nav-pills-link-border-color-hover);
}

.nav-pills .nav-link.active {
  color: var(--nav-pills-link-color-active);
  background-color: var(--nav-pills-link-active-background);
}

.nav-sitelogo {
  font-size: 1.25rem;
  margin-right: 1rem;
  padding: 0.25rem 0.5rem;
}

.nav-tabs .nav-sitelogo:hover {
  isolation: isolate;
  border: 1px solid transparent;
}

.nav-pills .nav-sitelogo:hover {
  isolation: isolate;
  border: 1px solid transparent;
}
/* Diesen Bereich ist erweiterte Navigation ===================================== */
.navbar {
--nav-link-padding-x: 1rem;
--nav-link-padding-y: 0.5rem;
--navbar-nav-link-padding-x: 0.5rem;
--nav-link-font-weight: normal;
--nav-link-color: rgba(var(--schwarz-rgb), 0.55);
--nav-link-color-hover: rgba(var(--schwarz-rgb), 0.85);
--navbar-brands-color: var(--nav-link-color-hover);
--navbar-brands-color-hover: var(--blue-6);
--nav-link-box-shadow-focus: 0 0 3px 4px rgba(var(--blue-rgb), 0.55);
--nav-link-border-radius-focus: 9px;
--navbar-toggler-padding-x: 0.75rem;
--navbar-toggler-padding-y: 0.25rem;
--navbar-toggler-font-size: 1.25rem;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding: 0.5rem 0;
}
.bg-nav {                 /* default */
		background-color: #fff;
	}
.bg-nav-light {
	background-color: var(--weiss-1);
}

.navbar > .container {
  display: flex;
  flex-wrap: inherit;
  align-items: center;
  justify-content: space-between;
}

.navbar-nav {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  margin-top: 0.75rem;
  margin-bottom: 0.75rem;
  list-style: none;
}

.navbar-collapse {
  flex-basis: 100%;
  flex-grow: 1;
  align-items: center;
}

.navbar-expand {
  flex-wrap: nowrap;
  justify-content: flex-start;
}

.navbar-expand .navbar-nav {
  flex-direction: row;
}

.navbar-expand .navbar-nav .nav-link {
  padding-left: var(--navbar-nav-link-padding-x);
  padding-right: var(--navbar-nav-link-padding-x);
}

.navbar-expand .navbar-nav .nav-link.active,
.navbar-expand-xl .navbar-nav .nav-link.active,
.offcanvas-panel .nav .nav-link.active {
 font-weight: 600 !important;
 color: var(--body-font-color)!important;
}

.navbar-expand .navbar-collapse {
  display: flex !important;
  flex-basis: auto;
}
 
.navbar-expand .navbar-toggler {
  display: none;
}

.nav-toggle-btn {
  padding: var(--navbar-toggler-padding-y) var(--navbar-toggler-padding-x);
  font-size: 1.25rem;
  line-height: 1;
  color: var(--nav-link-color);
  background-color: transparent;
  border: var(--border-width) solid var(--border-color);
  border-radius: var(--border-radius);
  transition: box-shadow 0.15s ease-in-out;
}

.navbar-brands {
  padding-top: 0.375rem;
  padding-bottom: 0.5rem;
  margin-right: 1rem;
  font-size: 1.25rem;
  color: var(--navbar-brands-color);
  text-decoration: none;
  white-space: nowrap;
}

.navbar-brands:hover, .navbar-brands:focus {
  color: var(--navbar-brands-color-hover);
}

/* Expand-Verhalten nur bei größer oder gleich 1200px */
@media (min-width: 1200px) {

  /* statt space-between -> flex-start, damit Nav nicht "rechts klebt" */
  .navbar.navbar-expand-xl,
  .navbar.navbar-expand-xl > .container {
    justify-content: flex-start;
  }

  .navbar.navbar-expand-xl {
    flex-wrap: nowrap;
  }

  .navbar.navbar-expand-xl .navbar-nav {
    flex-direction: row;
  }

  /* Collapse-Container als Flex, aber ohne "alles nach rechts drücken" */
  .navbar.navbar-expand-xl .navbar-collapse {
    display: flex !important;
    flex-basis: auto;
    flex-grow: 1;
    align-items: center;
    justify-content: flex-start; /* <- das ist der entscheidende Punkt */
  }

  .navbar.navbar-expand-xl .navbar-toggler {
    display: none;
  }
 .navbar-expand-xl .navbar-nav .nav-link {
  padding-left: var(--navbar-nav-link-padding-x);
  padding-right: var(--navbar-nav-link-padding-x);
}
}
/* ===================================================== */
.panel-closebar { display: none; }
.overlay { display: none; }

.offcanvas-panel .nav .nav-link {
		color: inherit;
	}

/* Desktop */
@media (min-width: 1200px){
  .nav-toggle-btn { display: none; }
  .collapse-panel { display: block; }
}

/* Mobile */
@media (max-width: 1199.98px){

  body.preload .collapse-panel,
  body.preload .offcanvas-panel,
  body.preload .overlay{
    transition: none !important;
  }

  .collapse-panel{
    max-height: 0;
    overflow: hidden;
    transition: max-height 300ms ease;
  }

  .collapse-panel.is-open{
    /* max-height wird per JS gesetzt */
   border-top: var(--border-width) solid var(--border-color);
  }

  .overlay{
    display: block;
    position: fixed;
    inset: 0;
    opacity: 0;
    background: rgba(15, 23, 42, 0.6);
    z-index: 1100;      /* <- hinzufügen */
    pointer-events: none;
    transition: opacity 600ms ease, backdrop-filter 6000ms ease;
    backdrop-filter: blur(4px);
  }

.overlay.is-open{
  background: rgba(15, 23, 42, 0.6); /* dunkler Fokus */
  opacity: 1;
  pointer-events: auto;
}
  body.is-locked{
    overflow: hidden;
  }

  .offcanvas-panel{
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: min(20vw, 360px);
    min-width: 280px;
    background-color: #fff;
   z-index: 1200;
    transform: translateX(-110%);
    transition: none;
  }
 
  .offcanvas-panel.is-open{
    transition: transform 600ms ease;
    transform: translateX(0);
  }

 .nav-toggle-btn {
  padding: 0.5rem 0.75rem 0.75rem 0.75rem;
 }

  .panel-closebar{
    display: flex; 
    justify-content: end;
    padding-top: 0.75rem;
    position: sticky;
    top: 0;
  }
 .panel-close {
  font-size: 1.25rem;
  padding: 0.25rem 0.5rem;
 }
}

/* ########################################## */